﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Interfaces
{
    public interface IHr
    {
        IEnumerable<Employee_Get> GetAllEmployees();

        Employee_Get GetEmployee(string empno);

        void AddEmployee(Employee_Add emp);

        void EditEmployee(string empno, Employee_Edit emp);

        void DeleteEmployee(string empno);

        /// <summary>
        /// 只有试用期员工可转正
        /// </summary>
        void BecomeRegular(string empno);

        void BecomeLeave(string empno);

        /// <summary>
        /// 只有正式员工可以加薪
        /// </summary>
        /// <param name="empno"></param>
        /// <param name="scope"></param>
        void IncreaseSalary(string empno, decimal scope);

        bool IsEmployeeExist(string empno);
    }
}
